/***************************************************************************
 *            callbacks.h
 *
 *  Wed Aug 16 18:13:04 2006
 *  Copyright  2006  Vincent Amouret
 *  vincent.amouret@gmail.com
 ****************************************************************************/

#ifndef _CALLBACKS_H
#define _CALLBACKS_H

#include <glade/glade.h>

#ifdef __cplusplus
extern "C"
{
#endif

  GladeXML *xml;
  void on_ThemeList_show (void);
  void on_MainWindow_destroy (void);
  void on_ThemeList_cursor_changed (gpointer user_data);
  void on_InstallTheme_released (void);
  void on_CreateTheme_released (void);
  void on_MainWindow_drag_data_received (GtkWidget *widget, GdkDragContext *dc,
                                         gint x, gint y, GtkSelectionData *selection_data);
  void on_CheckbuttonProgressbarBorder_toggled (void);
  void on_CheckbuttonTextbox_toggled (void);
  void on_CheckbuttonTextboxBorder_toggled (void);
  void on_EntryInfoName_changed (GtkWidget *widget);
  void on_EntryBackgroundHeight_changed (GtkWidget *Height);
  void on_EntryBackgroundWidth_changed (GtkWidget *Width);

  void on_DialogClose_released (void);
#ifdef __cplusplus
}
#endif

#endif /* _CALLBACKS_H */
